### Method

# AppStreamCompose IconPolicy from_string

#### Declaration [src]

    gboolean
    asc_icon_policy_from_string (
      AscIconPolicy* ipolicy,
      const gchar* serialized_policy,
      GError** error
    )

#### Description [src]

Loads the icon policy from a textual representation.

#### Parameters

`serialized_policy`

  Type: `const gchar*`

  A policy string as returned by %asc_icon_policy_to_string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.